package com.keao.edu.im.api.entity;


public class ReqUserData {
	private String userName;
	private String roomId;
	private Long registrationId;
	private String userId;
	private String type;
	private boolean audience;
	private boolean disableCamera;
	private boolean musicMode;

	public ReqUserData(Long registrationId,String userId) {
		this.registrationId = registrationId;
		this.userId = userId;
	}

	public ReqUserData() {
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Long getRegistrationId() {
		return registrationId;
	}

	public void setRegistrationId(Long registrationId) {
		this.registrationId = registrationId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getRoomId() {
		return roomId;
	}

	public void setRoomId(String roomId) {
		this.roomId = roomId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public boolean isAudience() {
		return audience;
	}

	public void setAudience(boolean audience) {
		this.audience = audience;
	}

	public boolean isDisableCamera() {
		return disableCamera;
	}

	public void setDisableCamera(boolean disableCamera) {
		this.disableCamera = disableCamera;
	}

	public boolean isMusicMode() {
		return musicMode;
	}

	public void setMusicMode(boolean musicMode) {
		this.musicMode = musicMode;
	}
}
